#!/bin/bash

# Nagios check using initctl to verify status of retracer processes
# Take a list of ARCHS and check initctl for each retracer

ARCHS=$@

for ARCH in $@; do
    case $ARCH in
        amd64)    ;;
         i386)    ;;
        armhf)    ;;
        arm64)    ;;
            *)    echo "WARN: $ARCH is not a valid retacer architecture"
                  exit 1
                  ;;
    esac

    systemctl --no-pager status retracer-$ARCH | grep -qs running
    STATUS=$?
    if [ "$STATUS" -ne 0 ]; then
        echo "CRITICAL: $ARCH retracer status is $STATUS"
        exit 2
    fi
done

echo "OK: all retracer statuses are start/running"
